Storm docs logo
Search the docs.../
Explore Storm Products

Update Basic Info

Request to update the Basic Info section.

Request

PropertyValue
MethodPUT
URLhttps://api.stormstreaming.com/api/request/stream/{stream_key}/basic-info
Authenticationx-api-key

URL Parameters:

ParameterDescription
{stream_key}The stream key of the stream you wish to modify
Request
Code iconbash
curl -X PUT "https://api.stormstreaming.com/api/request/stream/{stream_key}/basic-info" \
  -H "x-api-key: YOUR_API_KEY" \

Request Body

FieldDefaultRequiredValidationDescription
name-YesString 1-255 charsStream name
description-NoString 1-2000 charsStream description
regionId-YesInt (see regions table)Region closest to stream source
countdown0NoInt 0/1Display countdown before stream
countdownStartDate-If countdown=1d.m.Y H:i:sPlanned publish date
countdownTimezone-If countdown=1See Get Possible ValuesTimezone for countdown

Available Regions:

regionIdRegion
1North America (East Coast)
2North America (West Coast)
3South America
4Europe
5Asia Pacific (China)
6Asia Pacific (South Korea)
7Asia Pacific (Japan)
8Australia
9Africa
Request Body
Code iconjson
{
  "name": "Updated stream name",
  "description": "New description",
  "regionId": 4,
  "countdown": 1,
  "countdownStartDate": "25.01.2024 15:00:00",
  "countdownTimezone": "Europe/Warsaw"
}

Response

ParameterTypeDescription
messagestringResponse status message
Successful Response (200)
Code iconjson
{
  "message": "Stream has been updated."
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.